<?php
$page_title = 'Отрядные постройки';
include_once 'conf/dbc.php';
include_once 'conf/session_start.php';
include_once 'conf/head.php';
include_once 'conf/top.php';
$usid = abs(intval($_SESSION['id']));
$user = $pdo->query("SELECT * FROM users WHERE id='".$usid."'")->fetch();
$clanid = $user['clan'];
$clan = $pdo->query("SELECT * FROM clans WHERE clan_id='".$clanid."'")->fetch();
$lvlnex=$clan['gauss']+1;
$lvlnect=$clan['minut']+1;
$gauss=$clan['gauss'];
if($gauss==0){$gauss_cena=5000;}
if($gauss==1){$gauss_cena=8000;}
if($gauss==2){$gauss_cena=12000;}
if($gauss==3){$gauss_cena=17000;}
if($gauss==4){$gauss_cena=23000;}
if($gauss==5){$gauss_cena=30000;}
if($gauss==6){$gauss_cena=41000;}
if($gauss==7){$gauss_cena=50000;}
if($gauss==8){$gauss_cena=63000;}
if($gauss==9){$gauss_cena=75000;}
if($gauss==10){$gauss_cena=90000;}
if($gauss==11){$gauss_cena=105000;}
if($gauss==12){$gauss_cena=120000;}
if($gauss==13){$gauss_cena=130000;}
if($gauss==14){$gauss_cena=150000;}
$cena=$clan['minut']*1750;
echo'<p class="name">Отрядные постройки</p>';
switch($_GET['bon']){
default:
echo'<p>Склад: <img src="img/ico/materials.png"/>'.$clan['habar'].' хабара, <img src="img/ico/money.png"/>'.$clan['money'].' RUB.</p>';
if(!empty($_GET['err'])) {?>
   <?php if ($_GET['err']==1) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>Недостаточно рублей в складе отряда</div>";}?>
   <?php if ($_GET['err']==2) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>У вас слишком маленькое звание в отряде!</div>";}?>
   <?php if ($_GET['err']==3) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #64B02C;background-color:#009933'>Успешно улучшено</div>";}?>
  <?php if ($_GET['err']==4) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>Бонус максимального уровня!</div>";}?>

    <?php }
echo'<center><div class="dot">Гаусс пушки:</div></center><div class="stats"></div>
<div style="background-color: #1E1E1E;">
Увеличивает урон в прорывах на битве
<p style="border-top:1px solid #444e4f;"></p></div><br/>';
echo'<span class="bonus">'.$clan['gauss'].' уровень </span> <span class="net">- '.$clan['gauss_yron'].' урона</span><p class="zx"></p>';
if($user['clan_rang'] == 9 and $clan[gauss]<15){
echo'<a style="text-decoration:none;" href="?bon=gauss">Поднять уровень до <span class="bonus">'.$lvlnex.'</span></a><span class="white"> ('.$gauss_cena.' RUB)</span><p class="zx"></p>';
}
echo'<center><div class="dot">Ускоренный заряд аккумулятора</a></div></center><div class="stats"></div>';
echo'<div style="background-color: #1E1E1E;">Уменьшает время перезарядки гаусс пушки.
<p style="border-top:1px solid #444e4f;"></p></div><br/>';
echo'<span class="bonus">'.$clan['minut'].' уровень</span> <span class="net">- минус '.$clan['minut'].' минут</span><p class="zx"></p>';
if($user['clan_rang'] == 9 and $clan[minut]<51){
echo'<a style="text-decoration:none;" href="?bon=minut">Поднять уровень до <span class="bonus">'.$lvlnect.'</span></a><span class="white"> ('.$cena.' RUB)</span><p class="zx"></p>';
}
break;
case 'gauss':
if($clan[gauss]>=15){
header('location: /cbon.php?err=4');
exit();
}
if($user['clan_rang'] != 9){
header('location: /cbon.php?err=2');
exit();
}
$sum = $gauss_cena;
if($sum > $clan['money']){
header('location: /cbon.php?err=1');
exit();
}
$pdo->exec("UPDATE clans SET gauss = gauss + '1', money = money - '".$sum."', gauss_yron = '$gauss_cena' WHERE clan_id = '".$clan['clan_id']."'");
header('location: /cbon.php?err=3');
break;
case 'minut':
if($clan[minut]>=51){
header('location: /cbon.php?err=4');
exit();
}
if($user['clan_rang'] != 9){
header('location: /cbon.php?err=2');
exit();
}
$sum = $cena;
if($sum > $clan['money']){
header('location: /cbon.php?err=1');
exit();
}
$pdo->exec("UPDATE clans SET minut = minut + '1', money = money - '".$sum."' WHERE clan_id = '".$clan['clan_id']."'");
header('location: /cbon.php?err=3');
break;
}
include_once 'conf/navig.php';
include_once 'conf/foot.php';
?>